% BOD Toolbox - version 2.3, 04-December-2009
%
%short introduction (BOD) >>>http://eeiwzg.et.tu-dresden.de/ae2_files/ae_1_0.htm<<<
%download m-Files only    >>>http://eeiwzg.et.tu-dresden.de/ae2_files/ae_1.htm<<<
%
% z-transform
%   trans       - z-transform including choice of coupling(sampler/sample&hold) and
%                 measuring(instantaneous/mean value); optionally menu driven or
%                 control vector driven; optionally modified z-transform;
%                 optionally LTI system or transfer function syntax
%
% controller calculation
%   bod         - Discontinuous Amplitude Optimum (BetragsOptimumDigital=BOD);
%                 optionally menu driven or control vector driven; current fsolve
%                 calling syntax; optionally LTI system or transfer function syntax
%   bod_2       - same as bod, but obsolete fsolve calling syntax
%   eez         - Finite Time Settling (EndlicheEinstellZeit=EEZ); optionally LTI 
%                 system or transfer function syntax; optionally menu driven or 
%                 control vector driven
%   kmatrix     - calculation of factors of the BOD optimisation equation system
%   bodg        - supporting function - call via bod.m useful only;
%                 please do NOT put in directory private!
%
%parameter conversion
%   urlaz       - conversion of controller parameters inside Laplace and z-domain;
%                 optionally menu driven or control vector driven; choice of: 
%                 conversion direction, description in Laplace domain, structure in
%                 z-domain, approximation method 
%
%control structure
%   kaskade     - optimization of cascade structures with discontinuous controllers
%                 and pre-filters; optionally 2 or 3 control loops; optionally LTI
%                 system or transfer function syntax; control vector driven; choice
%                 of the optimization method: bod, eez or other adapted Syntax
%   zust_au1    - exemplary optimization of a discontinuous state control structure;
%                 automatic calculation of 3 coefficients; application of the
%                 Discontinuous Amplitude Optimum (BOD); reference specified
%   zust_aug1   - supporting funct. - call by zust_au.m only; structure in z-domain
%   zust_aup1   - same as zust_au.m but variation of plants time constants: 
%                 motor, spring and load time constant
%   zust_aut1   - same as zust_au but variation of sampling time and model time
%                 constant of the closed current control loop
%   zust_...2   - obsolete fsolve calling syntax in contrast to zust_...1
%
%analysis and check
%   guete       - calculation of step response quality criteria using SIMULINK
%                 simulation results of a closed loop; optionally choice of:
%                 overshoot and undershoot including point in time; rise time and  
%                 transient time, five different sampling integral criteria
%   simu        - step response simulation and optionally calculation of quality
%                 criteria of a single control loop 
%
%DEMOs          - see 13 application examples, partly interactive, directory DEMO
%                 ==> 'help TB_V23/DEMO' 

%   Copyright (c) 1997-2009 Dr. G.-H. Geitner, TU Dresden. All Rights Reserved.
%   last change: 2009/12/04
